from datetime import datetime
from typing import TypedDict

from pydantic import BaseModel


class HospComplaint(BaseModel):
    patID: str
    eventId: str
    datetime: datetime
    MO_id: str


class ComplaintData(TypedDict):
    patId: str
    complaints: str
